| ***rev.*:** | 0.0.4      |
|:----------- | ----------:|
| ***date***: | 2024-08-18 |

## Introduction

This module provide a little set of a helper functions for javascript to work with a `DateTime`-format representations.

Note: This functions was written in case of my own needs. It often used as a part of a different personal projects and over time was moved into a separate module.

## Content

This module provides the function listed below:

- Base functions:
  - isDateObject;
  - tryDTValue;
  - convValueToTZString;
  - convTZStringToValue;
  - getDateAsString;
  - convDTValueToDateString;
  - timeLocalToString;
  - timeUTCToString;
- Special functions:
  - trySeparator;
- Other functions:
  - convDTValueToXMLTV;
  - convXMLTVToDTValue;
  - convDTValueToISO8601.

> ***NOTE**: For more info see `dtf-lib-js.md` in a module `doc` directory.*

## Use cases

### Installation

`npm install @ygracs/dtf-lib-js`
